package types

/*
	Режим работы секции.
*/

// IMode -- интерфейс к режиму работы секции
type IMode interface {
	// Set -- устанавливает режим работы
	Set(string)
	// Get -- возвращает режим работы
	Get() string
	// Work -- возвращает имя текущей работы
	Work() string
	// WorkSet -- устанавилвае тимя текущей работы
	WorkSet(name string)
}
